stages:
  - build
  - fit

build_image:
  stage: build
  variables:
    IMAGE_DESTINATION: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG-$CI_COMMIT_SHORT_SHA
  image:
    # The kaniko debug image is recommended because it has a shell, and a shell is required for an image to be used with GitLab CI/CD.
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    # Prepare Kaniko configuration file
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    # Build and push the image from the Dockerfile at the root of the project.
    - /kaniko/executor --context $CI_PROJECT_DIR --dockerfile $CI_PROJECT_DIR/Dockerfile --destination $IMAGE_DESTINATION
    # Print the full registry path of the pushed image
    - echo "Image pushed successfully to ${IMAGE_DESTINATION}"    

fit_simple:
  stage: fit
  image: rootproject/root:6.22.06-conda
  script:
    - pwd
    - ls
#    - echo $SERVICE_PASS | kinit $CERN_USER@CERN.CH
    - xrdcp root://eospublic.cern.ch//eos/opendata/cms/upload/apb2023/histograms.root histograms.root
    - mkdir fit_outputs
    - python fit.py histograms.root fit_outputs
  artifacts:
    paths:
    - fit_outputs
    expire_in: 1 week
    

    


